Subject: 23.0.90; Ask the user before printing (sending to printer)

From: Daniel Clemente <[email-masked]>
Date: Mon, 9 Feb 2009 09:17:33 -0800 (PST)

I propose to have a new variable, confirm-print, set to t by default, which if non-nil displays a confirmation message to the user just before a file/region/buffer is going to be printed to a local or remote printer.

  This is needed because users may print things by mistake while they are testing functions. I did it at least two times:
- I mistyped a key shortcut in some mode and issued another one which just... printed without asking
- M-x ps-print-buffer RET, thinking that it would export to a .ps file. Ouch! Only if you used a prefix. My org-mode agenda appeared in a printer in another building...

  The confirmation message can, in addition to asking „Send document to printer? yes/no“, say the name of the printer which will be used: „Send document to printer oki_B6300? yes/no“.

In GNU Emacs 23.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-02-09 on CPU107